Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 186650 - gnome focus setting is lost after running k3b
Summary: gnome focus setting is lost after running k3b
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-03-24 22:56 UTC by stef
Modified: 2014-06-18 09:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 15:38:21 UTC


Attachments (Terms of Use)

Description stef 2006-03-24 22:56:36 UTC
Description of problem:

when you have set the gnome preference to get the focus on the windows your
mouse passes on and start k3b, you have after that to click on each window to
give it focus, the preference is lost.

Version-Release number of selected component (if applicable):

FC5 with yum upgrade done dating from this post

How reproducible:

always

Steps to Reproduce:
1.set gnome preference to get the focus on mouse over the window
2.start k3b
3.
  
Actual results:

you have to click on each window you want to focus on

Expected results:

no change in behaviour after starting k3b

Additional info:

Comment 1 stef 2006-04-01 21:08:19 UTC
trying to set the focus values in live doesn't change anything, it is completely
ignored.

launching
gconftool-2 -s '/apps/metacity/general/focus_mode' --type string mouse
or
gconftool-2 -s '/apps/metacity/general/focus_mode' --type string sloppy

doesn't make the desktop change it's behaviour, you still have to log out and go
back to go back to normal.

Comment 2 mcooper 2006-04-07 19:33:54 UTC
Same thing happens if you launch XEmacs (21.4.19) which I installed via yum. 
Not sure if xemacs runs k3b or not.

I've also installed all updates as of today (4/7/2006).

Comment 3 petrosyan 2008-03-12 14:56:37 UTC
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?

Comment 4 Bug Zapper 2008-04-04 02:15:10 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 5 Bug Zapper 2008-05-06 15:38:20 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.